Skip to content

Create a news item

Request

You can create a news item

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
titlestringrequired

The title of the news item.

Example:"Halloween is here!"
bodystring

The news item body, which may contain HTML.

Example:"<p>New costumes in store for this spooky season</p>"
sender_idintegerrequired

The id of the sender of the news item. Must be a teammate on the workspace.

Example:123
statestring

News items will not be visible to your users in the assigned newsfeeds until they are set live.

Enum:"draft""live"
Example:"live"
deliver_silentlyboolean

When set to true, the news item will appear in the messenger newsfeed without showing a notification badge.

Example:true
labelsArray of strings

Label names displayed to users to categorize the news item.

Example:
[ "Product", "Update", "New" ]
reactionsArray of strings

Ordered list of emoji reactions to the news item. When empty, reactions are disabled.

Example:
[ "😆", "😅" ]
newsfeed_assignmentsArray of objects(Newsfeed Assignment)

A list of newsfeed_assignments to assign to the specified newsfeed.

curl -i -X POST \
  https://api.intercom.io/news/news_items \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "title": "Halloween is here!",
    "body": "<p>New costumes in store for this spooky season</p>",
    "labels": [
      "Product",
      "Update",
      "New"
    ],
    "sender_id": 991267593,
    "deliver_silently": true,
    "reactions": [
      "😆",
      "😅"
    ],
    "state": "live",
    "newsfeed_assignments": [
      {
        "newsfeed_id": 53,
        "published_at": 1664638214
      }
    ]
  }'

Responses

successful

Bodyapplication/json
typestring

The type of object.

Value:"news-item"
Example:"news-item"
idstring

The unique identifier for the news item which is given by Intercom.

Example:"141"
workspace_idstring

The id of the workspace which the news item belongs to.

Example:"t74hdn32"
titlestring

The title of the news item.

Example:"New feature: News Items"
bodystring

The news item body, which may contain HTML.

Example:"We are excited to announce the launch of News Items, a new content type in Intercom enabling you to announce product updates, company news, promotion
sender_idinteger

The id of the sender of the news item. Must be a teammate on the workspace.

Example:123
statestring

News items will not be visible to your users in the assigned newsfeeds until they are set live.

Enum:"draft""live"
Example:"live"
newsfeed_assignmentsArray of objects(Newsfeed Assignment)

A list of newsfeed_assignments to assign to the specified newsfeed.

labelsArray of strings

Label names displayed to users to categorize the news item.

cover_image_urlstring or null, (uri)

URL of the image used as cover. Must have .jpg or .png extension.

Example:"https://example.com/cover.jpg"
reactionsArray of strings

Ordered list of emoji reactions to the news item. When empty, reactions are disabled.

deliver_silentlyboolean

When set to true, the news item will appear in the messenger newsfeed without showing a notification badge.

Example:true
created_atinteger, (timestamp)

Timestamp for when the news item was created.

Example:1610589632
updated_atinteger, (timestamp)

Timestamp for when the news item was last updated.

Example:1610589632
Response
{ "id": "33", "type": "news-item", "workspace_id": "this_is_an_id507_that_should_be_at_least_", "title": "Halloween is here!", "body": "<p>New costumes in store for this spooky season</p>", "sender_id": 991267593, "state": "live", "labels": [ "New", "Product", "Update" ], "cover_image_url": null, "reactions": [ "😆", "😅" ], "deliver_silently": true, "created_at": 1717021620, "updated_at": 1717021620, "newsfeed_assignments": [ { … } ] }